package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_ZWXX")
public class RsRlzyZwxxPO {
    @TableId(value = "RS_RLZY_ZWXX_LSH", type = IdType.ASSIGN_UUID)
    private String rsrlzyzwxxlsh;//职位信息流水号

    @TableField("RS_RLZY_QYXX_LSH")
    private String rsrlzyqyxxlsh;//企业信息流水号

    @TableField("ZPGWBH")
    private String zpgwbh;//招聘岗位编号

    @TableField("ZWMC")
    private String zwmc;//职位名称

    @TableField("XZ")
    private String xz;//薪资

    @TableField("ZPRS")
    private String zprs;//招聘人数

    @TableField("LXDZ")
    private String lxdz;//联系地址

    @TableField("LXDH")
    private String lxdh;//联系电话

    @TableField("DWMC")
    private String dwmc;//单位名称

    @TableField("SSHY")
    private String sshy;//所属行业

    @TableField("TS_YXBZ")
    private String tsyxbz;//有效状态

    @TableField("DWDZ")
    private String dwdz;//单位地址

    @TableField("LXR")
    private String lxr;//联系人

    @TableField("ZPFS")
    private String zpfs;//招聘方式

    @TableField("SFYDZPRY")
    private String sfydzpry;//是否异地招聘人员

    @TableField("ZPGZ")
    private String zpgz;//招聘工种

    @TableField("GZXZ")
    private String gzxz;//工作性质

    @TableField("YX")
    private String yx;//月薪

    @TableField("GZMS")
    private String gzms;//工作描述

    @TableField("WHCD")
    private String whcd;//文化程度

    @TableField("GZJY")
    private String gzjy;//工作经验

    @TableField("RS_NAN")
    private String rsnan;//人数(男)

    @TableField("RS_NV")
    private String rsnv;//人数(女)

    @TableField("NL")
    private String nl;//年龄

    @TableField("SL")
    private String sl;//视力

    @TableField("HKYQ")
    private String hkyq;//户口要求

    @TableField("SG_NAN")
    private String sgnan;//身高(男)

    @TableField("SG_NV")
    private String sgnv;//身高(女)

    @TableField("SYQ")
    private String syq;//试用期(月)

    @TableField("SYQGZ")
    private String syqgz;//试用期工资

    @TableField("YGXS")
    private String ygxs;//用工形式

    @TableField("GZHJ")
    private String gzhj;//工作环境

    @TableField("ZSDX")
    private String zsdx;//招收对象

    @TableField("ZPH")
    private String zph;//招聘会

    @TableField("DZYX")
    private String dzyx;//电子邮箱
    
    @TableField("GZDD")
    private String gzdd;//工作地点
    
    @TableField("ZWZT")
    private String zwzt;//职位状态

    @TableField("SHJG")
    private String shjg;//审核结果

    @TableField("SHSJ")
    private String shsj;//审核时间

    @TableField("ZWXXSHR")
    private String zwxxshr;//职位信息审核人

    @TableField("SHYJ")
    private String shyj;//审核意见
    
    @TableField("SFTJNWSH")
    private String sftjnwsh;//是否提交内网审核
    
    @TableField("FBZT")
    private String fbzt;//发布状态

    @TableField("TS_CJR")
    private String tscjr;//创建人

    @TableField("TS_CJSJ")
    private String tscjsj;//创建时间

    @TableField("TS_XGR")
    private String tsxgr;//修改人
    @TableField("TS_XGSJ")
    private String tsxgsj;//修改时间
    @TableField("ZWLX")
    private String zwlx;//职位类型
    @TableField(exist = false)
    private String qydzyx;//企业电子邮箱
    @TableField(exist = false)
    private String czhm;//传真号码
    @TableField(exist = false)
    private String gswz;//公司网站
    @TableField(exist = false)
    private String sjhm;//手机号码
    @TableField(exist = false)
    private String aae006;//联系地址
    @TableField(exist = false)
    private String gsmc;
    private String fldy;
    private String qtfldy;

    private String xzqh;
    private Long lng;//经度
    private Long lat;//纬度
    private String xzqhname;
    private String fbsj;//发布时间

    public String getShsj() {
        return shsj;
    }

    public void setShsj(String shsj) {
        this.shsj = shsj;
    }

    public String getZwxxshr() {
        return zwxxshr;
    }

    public void setZwxxshr(String zwxxshr) {
        this.zwxxshr = zwxxshr;
    }

    public String getFbsj() {
        return fbsj;
    }

    public void setFbsj(String fbsj) {
        this.fbsj = fbsj;
    }

    public String getAae006() {
        return aae006;
    }

    public void setAae006(String aae006) {
        this.aae006 = aae006;
    }

    public String getRsrlzyzwxxlsh() {
        return rsrlzyzwxxlsh;
    }

    public void setRsrlzyzwxxlsh(String rsrlzyzwxxlsh) {
        this.rsrlzyzwxxlsh = rsrlzyzwxxlsh;
    }

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getZpgwbh() {
        return zpgwbh;
    }

    public void setZpgwbh(String zpgwbh) {
        this.zpgwbh = zpgwbh;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getXz() {
        return xz;
    }

    public void setXz(String xz) {
        this.xz = xz;
    }

    public String getZprs() {
        return zprs;
    }

    public void setZprs(String zprs) {
        this.zprs = zprs;
    }

    public String getLxdz() {
        return lxdz;
    }

    public void setLxdz(String lxdz) {
        this.lxdz = lxdz;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getSshy() {
        return sshy;
    }

    public void setSshy(String sshy) {
        this.sshy = sshy;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getDwdz() {
        return dwdz;
    }

    public void setDwdz(String dwdz) {
        this.dwdz = dwdz;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getZpfs() {
        return zpfs;
    }

    public void setZpfs(String zpfs) {
        this.zpfs = zpfs;
    }

    public String getSfydzpry() {
        return sfydzpry;
    }

    public void setSfydzpry(String sfydzpry) {
        this.sfydzpry = sfydzpry;
    }

    public String getZpgz() {
        return zpgz;
    }

    public void setZpgz(String zpgz) {
        this.zpgz = zpgz;
    }

    public String getGzxz() {
        return gzxz;
    }

    public void setGzxz(String gzxz) {
        this.gzxz = gzxz;
    }

    public String getYx() {
        return yx;
    }

    public void setYx(String yx) {
        this.yx = yx;
    }

    public String getGzms() {
        return gzms;
    }

    public void setGzms(String gzms) {
        this.gzms = gzms;
    }

    public String getWhcd() {
        return whcd;
    }

    public void setWhcd(String whcd) {
        this.whcd = whcd;
    }

    public String getGzjy() {
        return gzjy;
    }

    public void setGzjy(String gzjy) {
        this.gzjy = gzjy;
    }

    public String getRsnan() {
        return rsnan;
    }

    public void setRsnan(String rsnan) {
        this.rsnan = rsnan;
    }

    public String getRsnv() {
        return rsnv;
    }

    public void setRsnv(String rsnv) {
        this.rsnv = rsnv;
    }

    public String getNl() {
        return nl;
    }

    public void setNl(String nl) {
        this.nl = nl;
    }

    public String getSl() {
        return sl;
    }

    public void setSl(String sl) {
        this.sl = sl;
    }

    public String getHkyq() {
        return hkyq;
    }

    public void setHkyq(String hkyq) {
        this.hkyq = hkyq;
    }

    public String getSgnan() {
        return sgnan;
    }

    public void setSgnan(String sgnan) {
        this.sgnan = sgnan;
    }

    public String getSgnv() {
        return sgnv;
    }

    public void setSgnv(String sgnv) {
        this.sgnv = sgnv;
    }

    public String getSyq() {
        return syq;
    }

    public void setSyq(String syq) {
        this.syq = syq;
    }

    public String getSyqgz() {
        return syqgz;
    }

    public void setSyqgz(String syqgz) {
        this.syqgz = syqgz;
    }

    public String getYgxs() {
        return ygxs;
    }

    public void setYgxs(String ygxs) {
        this.ygxs = ygxs;
    }

    public String getGzhj() {
        return gzhj;
    }

    public void setGzhj(String gzhj) {
        this.gzhj = gzhj;
    }

    public String getZsdx() {
        return zsdx;
    }

    public void setZsdx(String zsdx) {
        this.zsdx = zsdx;
    }

    public String getZph() {
        return zph;
    }

    public void setZph(String zph) {
        this.zph = zph;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    public String getGzdd() {
		return gzdd;
	}

	public void setGzdd(String gzdd) {
		this.gzdd = gzdd;
	}

	public String getZwzt() {
		return zwzt;
	}

	public void setZwzt(String zwzt) {
		this.zwzt = zwzt;
	}

	public String getShjg() {
        return shjg;
    }

    public void setShjg(String shjg) {
        this.shjg = shjg;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getSftjnwsh() {
		return sftjnwsh;
	}

	public void setSftjnwsh(String sftjnwsh) {
		this.sftjnwsh = sftjnwsh;
	}

	public String getFbzt() {
		return fbzt;
	}

	public void setFbzt(String fbzt) {
		this.fbzt = fbzt;
	}

	public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getZwlx() {
        return zwlx;
    }

    public void setZwlx(String zwlx) {
        this.zwlx = zwlx;
    }

    public String getCzhm() {
        return czhm;
    }

    public void setCzhm(String czhm) {
        this.czhm = czhm;
    }

    public String getGswz() {
        return gswz;
    }

    public void setGswz(String gswz) {
        this.gswz = gswz;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getQydzyx() {
        return qydzyx;
    }

    public void setQydzyx(String qydzyx) {
        this.qydzyx = qydzyx;
    }

    public String getGsmc() {
        return gsmc;
    }

    public void setGsmc(String gsmc) {
        this.gsmc = gsmc;
    }

    public String getFldy() {
        return fldy;
    }

    public void setFldy(String fldy) {
        this.fldy = fldy;
    }

    public String getQtfldy() {
        return qtfldy;
    }

    public void setQtfldy(String qtfldy) {
        this.qtfldy = qtfldy;
    }

    public String getXzqh() {
        return xzqh;
    }

    public void setXzqh(String xzqh) {
        this.xzqh = xzqh;
    }

    public Long getLng() {
        return lng;
    }

    public void setLng(Long lng) {
        this.lng = lng;
    }

    public Long getLat() {
        return lat;
    }

    public void setLat(Long lat) {
        this.lat = lat;
    }

    public String getXzqhname() {
        return xzqhname;
    }

    public void setXzqhname(String xzqhname) {
        this.xzqhname = xzqhname;
    }
}



